diff --git a/cicd_testing/deploy.sh b/cicd_testing/deploy.sh
index d259bc4011c6f0fa43e12fa46d2ff14ccd27e6d4..7f87dd707109f52120f8c2e517d749055d244ff0 100755
--- a/cicd_testing/deploy.sh
+++ b/cicd_testing/deploy.sh
@@ -1,5 +1,6 @@
 #/bin/bash
 
+
 export PS_PATH=git.zephyr-software.com:4567/opensrc/irdb-sdk/
 export PS_TAG=zipr-bin:latest
 export DOCKER_PS=${PS_PATH}${PS_TAG}
@@ -57,12 +58,14 @@ do_logout()
 
 main()
 {
+	set -x
+	set -e 
+
 	if [[ -z $PEASOUP_HOME ]]; then
 		cd /tmp/peasoup_test
 		source set_env_vars
 	fi
 
-	set -e 
 	do_docker_clean
 	do_login
 	do_build_image